> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carviz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report



## OpenAPI

````yaml get /public/reports/{report_id}
openapi: 3.1.0
info:
  title: Carviz API
  version: 1.0.0
servers:
  - url: https://api.carviz.com/prod
security: []
paths:
  /public/reports/{report_id}:
    get:
      tags:
        - public
      summary: Get Report
      operationId: get_organization_report_public_reports__report_id__get
      parameters:
        - name: report_id
          in: path
          required: true
          schema:
            type: string
            title: Report Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InspectionSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InspectionSchema:
      properties:
        token:
          type: string
          format: uuid
          title: Token
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        dealership_id:
          type: string
          format: uuid
          title: Dealership Id
        profile_id:
          type: string
          format: uuid
          title: Profile Id
        contact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contact Id
        counter_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Counter Id
        data:
          $ref: '#/components/schemas/Data'
        state:
          $ref: '#/components/schemas/State'
        type:
          type: string
          title: Type
        valid:
          type: boolean
          title: Valid
        real_costs:
          $ref: '#/components/schemas/RealCosts'
      type: object
      required:
        - token
        - created_at
        - updated_at
        - organization_id
        - dealership_id
        - profile_id
        - data
        - state
        - type
        - valid
        - real_costs
      title: InspectionSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Data:
      properties:
        vehicle:
          $ref: '#/components/schemas/Vehicle'
        metadata:
          $ref: '#/components/schemas/Metadata'
        valuations:
          additionalProperties:
            items: {}
            type: array
          type: object
          title: Valuations
        visualization:
          $ref: '#/components/schemas/Visualization'
      type: object
      required:
        - vehicle
        - metadata
        - valuations
        - visualization
      title: Data
    State:
      properties:
        folder_sold:
          $ref: '#/components/schemas/StateDetail'
        folder_closed:
          $ref: '#/components/schemas/StateDetail'
        folder_created:
          $ref: '#/components/schemas/StateDetail'
        folder_instock:
          $ref: '#/components/schemas/StateDetail'
        folder_accepted:
          $ref: '#/components/schemas/StateDetail'
        folder_archived:
          $ref: '#/components/schemas/StateDetail'
        folder_rejected:
          $ref: '#/components/schemas/StateDetail'
        folder_relisted:
          $ref: '#/components/schemas/StateDetail'
        folder_completed:
          $ref: '#/components/schemas/StateDetail'
        folder_estimated:
          $ref: '#/components/schemas/StateDetail'
        counter_inspected:
          $ref: '#/components/schemas/StateDetail'
        customer_notified:
          $ref: '#/components/schemas/StateDetail'
        folder_remarketed:
          $ref: '#/components/schemas/StateDetail'
        folder_rehabilitated:
          $ref: '#/components/schemas/StateDetail'
      type: object
      required:
        - folder_sold
        - folder_closed
        - folder_created
        - folder_instock
        - folder_accepted
        - folder_archived
        - folder_rejected
        - folder_relisted
        - folder_completed
        - folder_estimated
        - counter_inspected
        - customer_notified
        - folder_remarketed
        - folder_rehabilitated
      title: State
    RealCosts:
      properties:
        salesPrice:
          type: number
          title: Salesprice
        repairCosts:
          type: number
          title: Repaircosts
      type: object
      required:
        - salesPrice
        - repairCosts
      title: RealCosts
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Vehicle:
      properties:
        vin:
          type: string
          title: Vin
        date:
          type: string
          title: Date
          default: ''
        tires:
          $ref: '#/components/schemas/TireInfo'
        engine:
          $ref: '#/components/schemas/EngineInfo'
        damages:
          items: {}
          type: array
          title: Damages
          default: []
        history:
          $ref: '#/components/schemas/HistoryInfo'
        license:
          $ref: '#/components/schemas/LicenseInfo'
        roadtest:
          $ref: '#/components/schemas/RoadtestInfo'
        finitions:
          $ref: '#/components/schemas/FinitionsInfo'
        registration:
          $ref: '#/components/schemas/RegistrationInfo'
        specifications:
          $ref: '#/components/schemas/SpecificationsInfo'
      type: object
      required:
        - vin
        - tires
        - engine
        - history
        - license
        - roadtest
        - finitions
        - registration
        - specifications
      title: Vehicle
    Metadata:
      properties:
        date:
          type: string
          format: date-time
          title: Date
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        token:
          type: string
          format: uuid
          title: Token
        creator:
          type: string
          format: uuid
          title: Creator
        version:
          type: string
          title: Version
        marketing:
          $ref: '#/components/schemas/MarketingConfig'
        dealership:
          type: string
          format: uuid
          title: Dealership
        individual:
          $ref: '#/components/schemas/IndividualInfo'
        data_provider:
          type: string
          title: Data Provider
        importedToken:
          type: string
          title: Importedtoken
        inspection_link:
          type: string
          title: Inspection Link
        custom_questions:
          items:
            $ref: '#/components/schemas/CustomQuestion'
          type: array
          title: Custom Questions
        internal_comment:
          type: string
          title: Internal Comment
          default: ''
        pricing_provider:
          type: string
          title: Pricing Provider
        auctioneer_comment:
          type: string
          title: Auctioneer Comment
          default: ''
        externalMarketingLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalmarketinglink
        externalMarketingToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalmarketingtoken
      type: object
      required:
        - date
        - name
        - type
        - token
        - creator
        - version
        - marketing
        - dealership
        - individual
        - data_provider
        - importedToken
        - inspection_link
        - custom_questions
        - pricing_provider
      title: Metadata
    Visualization:
      properties:
        audios:
          items: {}
          type: array
          title: Audios
          default: []
        videos:
          items: {}
          type: array
          title: Videos
          default: []
        damages:
          items: {}
          type: array
          title: Damages
          default: []
        three_d:
          items: {}
          type: array
          title: Three D
          default: []
        documents:
          items: {}
          type: array
          title: Documents
          default: []
        marketing:
          items:
            $ref: '#/components/schemas/MarketingPhoto'
          type: array
          title: Marketing
          default: []
      type: object
      title: Visualization
    StateDetail:
      properties:
        date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date
        name:
          type: string
          title: Name
        order:
          type: integer
          title: Order
        status:
          type: boolean
          title: Status
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - order
        - status
        - description
      title: StateDetail
    TireInfo:
      properties:
        FLBrand:
          type: string
          title: Flbrand
          default: ''
        FLDepth:
          type: number
          title: Fldepth
          default: 0
        FRBrand:
          type: string
          title: Frbrand
          default: ''
        FRDepth:
          type: number
          title: Frdepth
          default: 0
        RLBrand:
          type: string
          title: Rlbrand
          default: ''
        RLDepth:
          type: number
          title: Rldepth
          default: 0
        RRBrand:
          type: string
          title: Rrbrand
          default: ''
        RRDepth:
          type: number
          title: Rrdepth
          default: 0
        providers:
          items: {}
          type: array
          title: Providers
          default: []
        FLDimension:
          type: string
          title: Fldimension
          default: ''
        FRDimension:
          type: string
          title: Frdimension
          default: ''
        RLDimension:
          type: string
          title: Rldimension
          default: ''
        RRDimension:
          type: string
          title: Rrdimension
          default: ''
      type: object
      title: TireInfo
    EngineInfo:
      properties:
        original:
          type: boolean
          title: Original
      type: object
      required:
        - original
      title: EngineInfo
    HistoryInfo:
      properties:
        found:
          type: boolean
          title: Found
        pdf_url:
          type: string
          title: Pdf Url
          default: ''
        searched:
          type: boolean
          title: Searched
        providers:
          items: {}
          type: array
          title: Providers
          default: []
        lastUpdateDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastupdatedate
        numberOfOwners:
          type: integer
          title: Numberofowners
          default: 0
        isCommercialUse:
          type: boolean
          title: Iscommercialuse
        ownershipHistory:
          items: {}
          type: array
          title: Ownershiphistory
          default: []
        importInformation:
          $ref: '#/components/schemas/ImportInfo'
        isAgriculturalUse:
          type: boolean
          title: Isagriculturaluse
        accidentInformation:
          $ref: '#/components/schemas/AccidentInfo'
        isCollectionVehicle:
          type: boolean
          title: Iscollectionvehicle
        administrativeStatus:
          $ref: '#/components/schemas/AdministrativeStatus'
        technicalInspections:
          items: {}
          type: array
          title: Technicalinspections
          default: []
        firstRegistrationDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Firstregistrationdate
      type: object
      required:
        - found
        - searched
        - isCommercialUse
        - importInformation
        - isAgriculturalUse
        - accidentInformation
        - isCollectionVehicle
        - administrativeStatus
      title: HistoryInfo
    LicenseInfo:
      properties:
        date:
          type: string
          title: Date
          default: ''
        found:
          type: boolean
          title: Found
        state:
          type: string
          title: State
          default: ''
        number:
          type: string
          title: Number
        country:
          type: string
          title: Country
        picture:
          type: string
          title: Picture
          default: ''
        searched:
          type: boolean
          title: Searched
        providers:
          items: {}
          type: array
          title: Providers
          default: []
      type: object
      required:
        - found
        - number
        - country
        - searched
      title: LicenseInfo
    RoadtestInfo:
      properties:
        done:
          type: boolean
          title: Done
        gear:
          type: string
          title: Gear
          default: ''
        noise:
          type: string
          title: Noise
          default: ''
        engine:
          type: string
          title: Engine
          default: ''
        braking:
          type: string
          title: Braking
          default: ''
        location:
          type: string
          title: Location
          default: ''
        steering:
          type: string
          title: Steering
          default: ''
        instrument:
          type: string
          title: Instrument
          default: ''
        navigation:
          type: string
          title: Navigation
          default: ''
        suspension:
          type: string
          title: Suspension
          default: ''
        performance:
          type: string
          title: Performance
          default: ''
        heated_seats:
          type: string
          title: Heated Seats
          default: ''
        air_conditioning:
          type: string
          title: Air Conditioning
          default: ''
      type: object
      required:
        - done
      title: RoadtestInfo
    FinitionsInfo:
      properties:
        found:
          type: boolean
          title: Found
        packs:
          items:
            $ref: '#/components/schemas/OptionItem'
          type: array
          title: Packs
          default: []
        power:
          type: string
          title: Power
        models:
          items: {}
          type: array
          title: Models
          default: []
        series:
          items:
            $ref: '#/components/schemas/SeriesItem'
          type: array
          title: Series
          default: []
        options:
          items:
            $ref: '#/components/schemas/OptionItem'
          type: array
          title: Options
          default: []
        searched:
          type: boolean
          title: Searched
        providers:
          items:
            type: string
          type: array
          title: Providers
          default: []
        keyOptions:
          items:
            type: string
          type: array
          title: Keyoptions
          default: []
        marketCode:
          type: string
          title: Marketcode
        providerVIN:
          type: string
          title: Providervin
        submodelname:
          type: string
          title: Submodelname
        vehiclePrice:
          type: string
          title: Vehicleprice
        basemodelname:
          type: string
          title: Basemodelname
        containername:
          type: string
          title: Containername
        providersData:
          items: {}
          type: array
          title: Providersdata
          default: []
        vehicletypename:
          type: string
          title: Vehicletypename
        constructionTime:
          type: string
          title: Constructiontime
        manufacturername:
          type: string
          title: Manufacturername
        salesdescription:
          type: string
          title: Salesdescription
      type: object
      required:
        - found
        - power
        - searched
        - marketCode
        - providerVIN
        - submodelname
        - vehiclePrice
        - basemodelname
        - containername
        - vehicletypename
        - constructionTime
        - manufacturername
        - salesdescription
      title: FinitionsInfo
    RegistrationInfo:
      properties:
        COC:
          type: string
          title: Coc
          default: ''
        pro:
          type: boolean
          title: Pro
        date:
          type: string
          title: Date
          default: ''
        found:
          type: boolean
          title: Found
        number:
          type: string
          title: Number
          default: ''
        VATType:
          type: string
          title: Vattype
          default: ''
        picture:
          type: string
          title: Picture
          default: ''
        lastname:
          type: string
          title: Lastname
          default: ''
        searched:
          type: boolean
          title: Searched
        firstname:
          type: string
          title: Firstname
          default: ''
        providers:
          items: {}
          type: array
          title: Providers
          default: []
        businessName:
          type: string
          title: Businessname
          default: ''
        businessNumber:
          type: string
          title: Businessnumber
          default: ''
      type: object
      required:
        - pro
        - found
        - searched
      title: RegistrationInfo
    SpecificationsInfo:
      properties:
        age:
          type: integer
          title: Age
        cnit:
          type: string
          title: Cnit
          default: ''
        fuel:
          type: string
          title: Fuel
        keys:
          type: integer
          title: Keys
        logo:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Logo
        year:
          type: integer
          title: Year
        brand:
          type: string
          title: Brand
        doors:
          type: integer
          title: Doors
        found:
          type: boolean
          title: Found
        model:
          type: string
          title: Model
        power:
          type: integer
          title: Power
        seats:
          type: integer
          title: Seats
        weight:
          type: string
          title: Weight
          default: ''
        version:
          type: string
          title: Version
        cylinder:
          type: integer
          title: Cylinder
        searched:
          type: boolean
          title: Searched
        tunedCar:
          type: boolean
          title: Tunedcar
        automatic:
          type: string
          title: Automatic
        guarantee:
          type: boolean
          title: Guarantee
        motricity:
          type: string
          title: Motricity
          default: ''
        providers:
          items:
            type: string
          type: array
          title: Providers
          default: []
        dimensions:
          type: string
          title: Dimensions
          default: ''
        consumption:
          type: string
          title: Consumption
          default: ''
        emissionCO2:
          type: integer
          title: Emissionco2
        environment:
          type: string
          title: Environment
        fiscalPower:
          type: integer
          title: Fiscalpower
        tintedGlass:
          type: boolean
          title: Tintedglass
        uniformBody:
          type: boolean
          title: Uniformbody
        exteriorColor:
          type: string
          title: Exteriorcolor
          default: ''
        interiorColor:
          type: string
          title: Interiorcolor
          default: ''
        firstRegistration:
          type: string
          title: Firstregistration
      type: object
      required:
        - age
        - fuel
        - keys
        - year
        - brand
        - doors
        - found
        - model
        - power
        - seats
        - version
        - cylinder
        - searched
        - tunedCar
        - automatic
        - guarantee
        - emissionCO2
        - environment
        - fiscalPower
        - tintedGlass
        - uniformBody
        - firstRegistration
      title: SpecificationsInfo
    MarketingConfig:
      properties:
        plate:
          anyOf:
            - $ref: '#/components/schemas/MarketingAsset'
            - type: 'null'
        hotspot:
          type: boolean
          title: Hotspot
          default: false
        background:
          anyOf:
            - $ref: '#/components/schemas/MarketingAsset'
            - type: 'null'
        banner_top:
          anyOf:
            - {}
            - type: 'null'
          title: Banner Top
        custom_image:
          anyOf:
            - {}
            - type: 'null'
          title: Custom Image
        photos_order:
          items:
            $ref: '#/components/schemas/PhotoOrder'
          type: array
          title: Photos Order
        banner_bottom:
          anyOf:
            - $ref: '#/components/schemas/MarketingAsset'
            - type: 'null'
      type: object
      required:
        - photos_order
      title: MarketingConfig
    IndividualInfo:
      properties:
        city:
          type: string
          title: City
          default: ''
        name:
          type: string
          title: Name
          default: ''
        email:
          type: string
          title: Email
          default: ''
        phone:
          type: string
          title: Phone
          default: ''
        address:
          type: string
          title: Address
          default: ''
        foreign:
          type: boolean
          title: Foreign
        zipcode:
          type: string
          title: Zipcode
          default: ''
        civility:
          type: string
          title: Civility
          default: ''
        latitude:
          type: number
          title: Latitude
        longitude:
          type: number
          title: Longitude
        optinEmail:
          type: boolean
          title: Optinemail
        optinPhone:
          type: boolean
          title: Optinphone
        repriseDate:
          type: string
          title: Reprisedate
          default: ''
        businessName:
          type: string
          title: Businessname
          default: ''
      type: object
      required:
        - foreign
        - latitude
        - longitude
        - optinEmail
        - optinPhone
      title: IndividualInfo
    CustomQuestion:
      properties:
        id:
          type: integer
          title: Id
        type:
          type: string
          title: Type
        answer:
          type: string
          title: Answer
        options:
          items:
            type: string
          type: array
          title: Options
        question:
          type: string
          title: Question
        required:
          type: boolean
          title: Required
      type: object
      required:
        - id
        - type
        - answer
        - options
        - question
        - required
      title: CustomQuestion
    MarketingPhoto:
      properties:
        date:
          type: string
          title: Date
        load:
          anyOf:
            - type: integer
            - type: 'null'
          title: Load
        step:
          type: integer
          title: Step
        type:
          type: string
          title: Type
        order:
          type: integer
          title: Order
          default: 0
        lowres:
          type: string
          title: Lowres
          default: ''
        source:
          type: string
          title: Source
          default: ''
        location:
          type: string
          title: Location
        original:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: string
          title: Original
        upscaled:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: string
          title: Upscaled
        localpath:
          anyOf:
            - type: string
            - type: 'null'
          title: Localpath
        confidence:
          type: number
          title: Confidence
        upscaleLoad:
          type: boolean
          title: Upscaleload
          default: false
        backgrounded:
          type: string
          title: Backgrounded
          default: ''
        upscaleError:
          type: boolean
          title: Upscaleerror
          default: false
        license_hidded:
          type: string
          title: License Hidded
          default: ''
        upscaleAttempt:
          type: integer
          title: Upscaleattempt
          default: 0
      type: object
      required:
        - date
        - step
        - type
        - location
        - confidence
      title: MarketingPhoto
    ImportInfo:
      properties:
        isImported:
          type: boolean
          title: Isimported
        countryOfOrigin:
          anyOf:
            - type: string
            - type: 'null'
          title: Countryoforigin
        importDateToFrance:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Importdatetofrance
        firstRegistrationAbroad:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Firstregistrationabroad
        originalRegistrationNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Originalregistrationnumber
      type: object
      required:
        - isImported
      title: ImportInfo
    AccidentInfo:
      properties:
        accidentHistory:
          items: {}
          type: array
          title: Accidenthistory
          default: []
        lastAccidentDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastaccidentdate
        numberOfAccidents:
          type: integer
          title: Numberofaccidents
          default: 0
        lastResolutionDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastresolutiondate
      type: object
      title: AccidentInfo
    AdministrativeStatus:
      properties:
        isStolen:
          type: boolean
          title: Isstolen
        isPledged:
          type: boolean
          title: Ispledged
        isDriveable:
          type: boolean
          title: Isdriveable
        hasOppositions:
          type: boolean
          title: Hasoppositions
        hasSuspensions:
          type: boolean
          title: Hassuspensions
      type: object
      required:
        - isStolen
        - isPledged
        - isDriveable
        - hasOppositions
        - hasSuspensions
      title: AdministrativeStatus
    OptionItem:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        price:
          anyOf:
            - type: string
            - type: 'null'
          title: Price
        selected:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Selected
          default: false
      type: object
      required:
        - id
        - name
      title: OptionItem
    SeriesItem:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: SeriesItem
    MarketingAsset:
      properties:
        id:
          type: integer
          title: Id
        link:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Link
        name:
          type: string
          title: Name
        active:
          type: boolean
          title: Active
        brands:
          items:
            type: string
          type: array
          title: Brands
        offlineUrl:
          type: string
          title: Offlineurl
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        guarantee:
          anyOf:
            - type: string
            - type: 'null'
          title: Guarantee
      type: object
      required:
        - id
        - link
        - name
        - active
        - brands
        - offlineUrl
      title: MarketingAsset
    PhotoOrder:
      properties:
        key:
          type: string
          title: Key
        done:
          type: boolean
          title: Done
          default: false
        category:
          type: string
          title: Category
        required:
          type: boolean
          title: Required
      type: object
      required:
        - key
        - category
        - required
      title: PhotoOrder

````